<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:rich="http://richfaces.org/rich"
                xmlns:g="http://www.ihe.net/gazelle" xmlns="http://www.w3.org/1999/xhtml"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                template="/layout/template.xhtml">
    <ui:param name="pageNameTitle" value="#{messages['net.ihe.gazelle.webservice.tester.ListOfSoapUIProject']}"/>
    <ui:define name="body">
        <h:form id="globalForm">
            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.simu.SearchCriteria']}</ui:define>
                <div class="row">
                    <div class="col-md-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{projectList.filter}"/>
                            <ui:param name="filterId" value="owner"/>
                            <ui:param name="filterName" value="#{messages['gazelle.simu.Owner']}"/>
                            <ui:param name="filterForm" value="globalForm"/>
                        </ui:include>
                    </div>
                    <div class="col-md-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{projectList.filter}"/>
                            <ui:param name="filterId" value="label"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.simulators.Label']}"/>
                            <ui:param name="filterForm" value="globalForm"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <ui:include src="/filter/filterDate.xhtml">
                            <ui:param name="filter" value="#{projectList.filter}"/>
                            <ui:param name="filterId" value="creationDate"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.webservice.tester.CreationDate']}"/>
                            <ui:param name="filterForm" value="globalForm"/>
                        </ui:include>
                    </div>
                    <div class="col-md-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{projectList.filter}"/>
                            <ui:param name="filterId" value="active"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.webservice.tester.Active']}"/>
                            <ui:param name="filterForm" value="globalForm"/>
                        </ui:include>
                    </div>
                </div>
                <ui:define name="filter_buttons">
                    <a4j:commandLink title="#{messages['net.ihe.gazelle.simulators.RefreshResults']}"
                                     render="globalForm">
                        <span class="gzl-icon-refresh"/>
                    </a4j:commandLink>
                    <a4j:commandLink title="#{messages['net.ihe.gazelle.simulators.Reset']}"
                                     actionListener="#{projectList.reset()}"
                                     render="globalForm">
                        <span class="fa fa-times-circle"></span>
                    </a4j:commandLink>
                </ui:define>
            </ui:decorate>

            <h:commandButton value="#{messages['net.ihe.gazelle.webservice.tester.AddASoapUIProject']}" action="/uploadProject.seam" styleClass="gzl-btn-green"
                             rendered="#{identity.loggedIn and s:hasRole('admin_role')}"/>

            <s:div id="resultDiv">
                <rich:dataTable id="projectsTable"
                                value="#{projectList.soapuiProjects}" var="project"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                render="ds">
                    <g:column sortBy="#{'id'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Id']}</ui:define>
                        <h:outputLink value="/gazelle-webservice-tester/project/projectDetail.seam?id=#{project.id}">
                            #{project.id}
                        </h:outputLink>
                    </g:column>
                    <g:column sortBy="#{'label'}" filterBy="#{'label'}">
                        <ui:define name="header">#{messages['gazelle.simu.Name']}</ui:define>
                        <h:outputText value="#{project.label}"/>
                    </g:column>
                    <g:column sortBy="#{'version'}">
                        <ui:define name="header">#{messages['gazelle.simulator.version']}</ui:define>
                        <h:outputText value="#{project.version}"/>
                    </g:column>
                    <g:column sortBy="#{'active'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.Active']}</ui:define>
                        <h:selectBooleanCheckbox disabled="true" value="#{project.active}"/>
                    </g:column>
                    <g:column sortBy="#{'owner'}">
                        <ui:define name="header">#{messages['gazelle.simu.Owner']}</ui:define>
                        <h:outputText value="#{projectList.getUserName(project.owner)}"/>
                    </g:column>
                    <g:column sortBy="#{'creationDate'}" sortOrder="descending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.CreationDate']}</ui:define>
                        <g:date tooltip="true" value="#{project.creationDate}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['users.Action']}</ui:define>
                        <h:outputLink value="/gazelle-webservice-tester/project/projectDetail.seam?id=#{project.id}">
                            <s:span title="Details" styleClass="gzl-icon-search"/>
                        </h:outputLink>
                        <h:commandLink action="#{project.edit()}" rendered="#{identity.loggedIn}">
                            <s:span title="Edit" styleClass="gzl-icon-pencil"/>
                        </h:commandLink>
                        <a4j:commandLink actionListener="#{projectList.deleteProject(project)}"
                                         rendered="#{s:hasRole('admin_role')}" render="globalForm">
                            <s:span styleClass="gzl-icon-trash-o "/>
                        </a4j:commandLink>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="projectsTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>

            </s:div>
        </h:form>
    </ui:define>

</ui:composition>